com.genesyslab.wfm8.API.service.forecast800

## Class FrcTemplateHeader

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcTemplateHeader

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcTemplateHeader
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<FrcActivity>` | `activities` Activities associated with the template
    `protected int` | `activitiesArraySize` Activities array size
    `protected double` | `end` Template end date
    `protected java.lang.String` | `name` Template name
    `protected int` | `parentId` Parent ID (Site/BU)
    `protected int` | `parentType` Parent type
    `private static long` | `serialVersionUID`
    `protected double` | `start` Template start date
    `protected int` | `templateId` Template ID
    `protected int` | `type` Template type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcTemplateHeader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<FrcActivity>` | `getActivities()` Gets the activities value for this FrcTemplateHeader.
    `int` | `getActivitiesArraySize()` Gets the activitiesArraySize value for this FrcTemplateHeader.
    `double` | `getEnd()` Gets the end value for this FrcTemplateHeader.
    `java.lang.String` | `getName()` Gets the name value for this FrcTemplateHeader.
    `int` | `getParentId()` Gets the parentId value for this FrcTemplateHeader.
    `int` | `getParentType()` Gets the parentType value for this FrcTemplateHeader.
    `double` | `getStart()` Gets the start value for this FrcTemplateHeader.
    `int` | `getTemplateId()` Gets the templateId value for this FrcTemplateHeader.
    `int` | `getType()` Gets the type value for this FrcTemplateHeader.
    `int` | `hashCode()`
    `void` | `setActivities(java.util.List<FrcActivity> activities)` Sets the activities value for this FrcTemplateHeader.
    `void` | `setActivitiesArraySize(int activitiesArraySize)` Sets the activitiesArraySize value for this FrcTemplateHeader.
    `void` | `setEnd(double end)` Sets the end value for this FrcTemplateHeader.
    `void` | `setName(java.lang.String name)` Sets the name value for this FrcTemplateHeader.
    `void` | `setParentId(int parentId)` Sets the parentId value for this FrcTemplateHeader.
    `void` | `setParentType(int parentType)` Sets the parentType value for this FrcTemplateHeader.
    `void` | `setStart(double start)` Sets the start value for this FrcTemplateHeader.
    `void` | `setTemplateId(int templateId)` Sets the templateId value for this FrcTemplateHeader.
    `void` | `setType(int type)` Sets the type value for this FrcTemplateHeader.
    `java.lang.String` | `toString()`
    `FrcTemplateHeader` | `withActivities(java.util.Collection<FrcActivity> values)`
    `FrcTemplateHeader` | `withActivities(FrcActivity... values)`
    `FrcTemplateHeader` | `withActivitiesArraySize(int value)`
    `FrcTemplateHeader` | `withEnd(double value)`
    `FrcTemplateHeader` | `withName(java.lang.String value)`
    `FrcTemplateHeader` | `withParentId(int value)`
    `FrcTemplateHeader` | `withParentType(int value)`
    `FrcTemplateHeader` | `withStart(double value)`
    `FrcTemplateHeader` | `withTemplateId(int value)`
    `FrcTemplateHeader` | `withType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### templateId

          protected int templateId

      Template ID

    - #### name

          protected java.lang.String name

      Template name

    - #### type

          protected int type

      Template type
      See Also:
        `EFrcTemplateTypes`

    - #### parentType

          protected int parentType

      Parent type
      See Also:
        `EFrcParentTypes`

    - #### parentId

          protected int parentId

      Parent ID (Site/BU)

    - #### start

          protected double start

      Template start date

    - #### end

          protected double end

      Template end date

    - #### activitiesArraySize

          protected int activitiesArraySize

      Activities array size

    - #### activities

          protected java.util.List<FrcActivity> activities

      Activities associated with the template

  - ### Constructor Detail

    - #### FrcTemplateHeader

          public FrcTemplateHeader()

  - ### Method Detail

    - #### getTemplateId

          public int getTemplateId()

      Gets the templateId value for this FrcTemplateHeader.
      Returns:
        templateId

    - #### setTemplateId

          public void setTemplateId(int templateId)

      Sets the templateId value for this FrcTemplateHeader.
      Parameters:
        `templateId` -

    - #### getName

          public java.lang.String getName()

      Gets the name value for this FrcTemplateHeader.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name value for this FrcTemplateHeader.
      Parameters:
        `name` -

    - #### getType

          public int getType()

      Gets the type value for this FrcTemplateHeader.
      Returns:
        type

    - #### setType

          public void setType(int type)

      Sets the type value for this FrcTemplateHeader.
      Parameters:
        `type` -

    - #### getParentType

          public int getParentType()

      Gets the parentType value for this FrcTemplateHeader.
      Returns:
        parentType

    - #### setParentType

          public void setParentType(int parentType)

      Sets the parentType value for this FrcTemplateHeader.
      Parameters:
        `parentType` -

    - #### getParentId

          public int getParentId()

      Gets the parentId value for this FrcTemplateHeader.
      Returns:
        parentId

    - #### setParentId

          public void setParentId(int parentId)

      Sets the parentId value for this FrcTemplateHeader.
      Parameters:
        `parentId` -

    - #### getStart

          public double getStart()

      Gets the start value for this FrcTemplateHeader.
      Returns:
        start

    - #### setStart

          public void setStart(double start)

      Sets the start value for this FrcTemplateHeader.
      Parameters:
        `start` -

    - #### getEnd

          public double getEnd()

      Gets the end value for this FrcTemplateHeader.
      Returns:
        end

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this FrcTemplateHeader.
      Parameters:
        `end` -

    - #### getActivitiesArraySize

          public int getActivitiesArraySize()

      Gets the activitiesArraySize value for this FrcTemplateHeader.
      Returns:
        activitiesArraySize

    - #### setActivitiesArraySize

          public void setActivitiesArraySize(int activitiesArraySize)

      Sets the activitiesArraySize value for this FrcTemplateHeader.
      Parameters:
        `activitiesArraySize` -

    - #### getActivities

          public java.util.List<FrcActivity> getActivities()

      Gets the activities value for this FrcTemplateHeader.
      Returns:
        activities

    - #### setActivities

          public void setActivities(java.util.List<FrcActivity> activities)

      Sets the activities value for this FrcTemplateHeader.
      Parameters:
        `activities` -

    - #### withActivities

          public FrcTemplateHeader withActivities(java.util.Collection<FrcActivity> values)

    - #### withActivities

          public FrcTemplateHeader withActivities(FrcActivity... values)

    - #### withActivitiesArraySize

          public FrcTemplateHeader withActivitiesArraySize(int value)

    - #### withParentId

          public FrcTemplateHeader withParentId(int value)

    - #### withParentType

          public FrcTemplateHeader withParentType(int value)

    - #### withType

          public FrcTemplateHeader withType(int value)

    - #### withTemplateId

          public FrcTemplateHeader withTemplateId(int value)

    - #### withName

          public FrcTemplateHeader withName(java.lang.String value)

    - #### withStart

          public FrcTemplateHeader withStart(double value)

    - #### withEnd

          public FrcTemplateHeader withEnd(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.